#
# Makefile for V 1.21 OS2 IBM VA++ 3.0 with OPENGL support
#
# (Use this file *only* if you have installed OpenGL support.
#  ... use v.mak instead if OpenGL support is not installed)
#
# creates vibmcpp.lib or debug version vibmcppd.lib under 
#   $(VDIR)\LIB\OS2
#
# to create debug version enter: nmake DEBUG=1 /f vopengl.mak
# to create non debug version enter: nmake /f vopengl.mak
#

include cfgibm.mkh

OBJFILES= $(OBJDIR)\vstartup.obj \
 $(OBJDIR)\vapp.obj \
 $(OBJDIR)\vawinfo.obj \
 $(OBJDIR)\vbaseitm.obj \
 $(OBJDIR)\vbasewin.obj \
 $(OBJDIR)\vbglcnv.obj \
 $(OBJDIR)\vboxlblc.obj \
 $(OBJDIR)\vbrush.obj \
 $(OBJDIR)\vbtncmd.obj \
 $(OBJDIR)\vcanvas.obj \
 $(OBJDIR)\vchkboxc.obj \
 $(OBJDIR)\vcmd.obj \
 $(OBJDIR)\vcmdpane.obj \
 $(OBJDIR)\vcmdprnt.obj \
 $(OBJDIR)\vcmdwin.obj \
 $(OBJDIR)\vcolor.obj \
 $(OBJDIR)\vcomboc.obj \
 $(OBJDIR)\vcpdc.obj \
 $(OBJDIR)\vdebug.obj \
 $(OBJDIR)\vdialog.obj \
 $(OBJDIR)\vfilesel.obj \
 $(OBJDIR)\vfinddlg.obj \
 $(OBJDIR)\vfont.obj \
 $(OBJDIR)\vfontsel.obj \
 $(OBJDIR)\vframec.obj \
 $(OBJDIR)\vicon.obj \
 $(OBJDIR)\vlabelc.obj \
 $(OBJDIR)\vlistc.obj \
 $(OBJDIR)\vmemdc.obj \
 $(OBJDIR)\vmenu.obj \
 $(OBJDIR)\vmodald.obj \
 $(OBJDIR)\vnotice.obj \
 $(OBJDIR)\vos.obj \
 $(OBJDIR)\vpen.obj \
 $(OBJDIR)\vpopmenu.obj \
 $(OBJDIR)\vprogrsc.obj \
 $(OBJDIR)\vradioc.obj \
 $(OBJDIR)\vreply.obj \
 $(OBJDIR)\vsliderc.obj \
 $(OBJDIR)\vslist.obj \
 $(OBJDIR)\vspinc.obj \
 $(OBJDIR)\vtextc.obj \
 $(OBJDIR)\vtextcnv.obj \
 $(OBJDIR)\vtexted.obj \
 $(OBJDIR)\vtextinc.obj \
 $(OBJDIR)\vthislst.obj \
 $(OBJDIR)\vtimer.obj \
 $(OBJDIR)\vutil.obj \
 $(OBJDIR)\vwindc.obj \
 $(OBJDIR)\vwindow.obj \
 $(OBJDIR)\vwinprdc.obj \
 $(OBJDIR)\vwinprtr.obj \
 $(OBJDIR)\vynreply.obj 

# ---------------------------------------------------------------------------
.PRECIOUS : $(VLIB)

.cpp.obj :
 $(CC) $(CFLAGS) /C /Fo$@ $<

{$(VSRCDIR)}.cpp{$(OBJDIR)}.obj :
 $(CC) $(CFLAGS) /C /Fo$@ $<

all : dirs $(VLIB)

dirs:
	-mkdir $(LIBDIR)
	-mkdir $(OBJDIR)
	-mkdir $(BINDIR)

clean :
	-del $(VDIR)\OBJ\OS2\IBMCPP\*.*
	-del $(VLIB)

$(VLIB) : $(OBJFILES)
 !$(AR) $(ARFLAGS) $@ -+$?;

# ---------------------------------------------------------------------------

$(OBJDIR)\vstartup.obj : $(VSRCDIR)\$$(@B).cpp 

$(OBJDIR)\vmemdc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h \
			$(VINCDIR)\vapp.h

$(OBJDIR)\vwinprtr.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vwinprdc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vwindow.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vwindc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vutil.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vtimer.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vthislst.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vtextinc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vtexted.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vtextcnv.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vtextc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vspinc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vsliderc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vreply.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vradioc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vprogrsc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vpen.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vnotice.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vmodald.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vmenu.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vynreply.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vapp.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vlabelc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vicon.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vframec.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vfontsel.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vfont.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vfinddlg.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vfilesel.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vdialog.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vdebug.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcpdc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcomboc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcolor.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcmdwin.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcmdprnt.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcmdpane.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcmd.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vclabelc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vchkboxc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcbtncmd.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vcanvas.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vbtncmd.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vbrush.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vboxlblc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vbasewin.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vbaseitm.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vawinfo.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vlistc.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vos.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vslist.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vpopmenu.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

$(OBJDIR)\vbglcnv.obj : $(VSRCDIR)\$$(@B).cpp $(VINCDIR)\$$(@B).h

